Bug 28288 - Qt: Font Sizes are wrong for font families including monospace
: Qt: Font Sizes are wrong for font families including monospace
Status: RESOLVED FIXED
: WebKit
Text
: 528+ (Nightly build)
: PC Mac OS X 10.5
: P2 Normal
Assigned To:
:
: Qt
:
:
  Show dependency treegraph
 
Reported: 2009-08-13 17:10 PST by
Modified: 2009-10-20 05:19 PST (History)


Attachments
Enable previously disabled passing fast/css tests after r48873 landed. (1.23 KB, patch)
2009-10-20 05:07 PST, Andras Becsi
ariya.hidayat: review+
Review Patch | Details | Formatted Diff | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2009-08-13 17:10:12 PST
Qt: Font Sizes are wrong for font families including monospace

fast/css/getComputedStyle/computed-style-font-family-monospace.html    expected    actual    diff    pretty diff
fast/css/getComputedStyle/computed-style-font-family.html    expected    actual    diff    pretty diff

I expect the way qt fonts work is just different from other ports and the fix that I made in bug 19161 just doesn't work for Qt.

I'll skip these tests for now so that the Qt bot is green.  Someone in Qt-land will need to look at this.
------- Comment #1 From 2009-08-13 17:14:19 PST -------
Committing to http://svn.webkit.org/repository/webkit/trunk ...
    M    LayoutTests/ChangeLog
    M    LayoutTests/platform/qt/Skipped
Committed r47254
    M    LayoutTests/platform/qt/Skipped
    M    LayoutTests/ChangeLog
r47254 = 890728473e778c7105daeecb9d385b028ef68d65 (trunk)
No changes between current HEAD and refs/remotes/trunk
Resetting to the latest refs/remotes/trunk
http://trac.webkit.org/changeset/47254
------- Comment #2 From 2009-08-18 04:49:54 PST -------
This issue seems to be related to default font size settings in qwebsettings.cpp and DumpRenderTree.cpp. There also seems to be a little fray because of the different default values given in these source files. 
QtWebKit uses 14px font size for both regular and monospace fonts in qwebsettings.cpp but DumpRenderTree.cpp uses 13px for both, whereas the gtk and mac ports use 16px for regular fonts and 13px for monospace, so the test obviously fails on Qt.
------- Comment #3 From 2009-10-20 05:07:50 PST -------
Created an attachment (id=41498) [details]
Enable previously disabled passing fast/css tests after r48873 landed.
------- Comment #4 From 2009-10-20 05:17:41 PST -------
(In reply to comment #3)
> Created an attachment (id=41498) [details] [details]
> Enable previously disabled passing fast/css tests after r48873 landed.

Sending        LayoutTests/ChangeLog
Sending        LayoutTests/platform/qt/Skipped
..
Committed revision 49849.
------- Comment #5 From 2009-10-20 05:19:53 PST -------
Patch landed. Closing bug.